Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Method_Request_Updates_T< SEQ, PROXY, SEQ_PARAM, PROXY_PARAM > Class Template Reference

`#include <Method_Request_Updates_T.h>`

Inheritance diagram for TAO_Notify_Method_Request_Updates_T< SEQ, PROXY, SEQ_PARAM, PROXY_PARAM >:

[legend]
Collaboration diagram for TAO_Notify_Method_Request_Updates_T< SEQ, PROXY, SEQ_PARAM, PROXY_PARAM >:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Method_Request_Updates_T (SEQ_PARAM added, SEQ_PARAM removed, PROXY_PARAM proxy)
| Constuctor.
virtual | ~TAO_Notify_Method_Request_Updates_T ()
| Destructor.
int | execute_i (ACE_ENV_SINGLE_ARG_DECL)
| Execute the Request.
## Protected Attributes
SEQ | added_
| Update Added.
SEQ | removed_
| Update Removed.
PROXY | proxy_
| The Proxy that will receive the updates.

### template<class SEQ, class PROXY, class SEQ_PARAM, class PROXY_PARAM>
class TAO_Notify_Method_Request_Updates_T< SEQ, PROXY, SEQ_PARAM, PROXY_PARAM >

## Constructor & Destructor Documentation

template<class SEQ, class PROXY, class SEQ_PARAM, class PROXY_PARAM>
TAO_Notify_Method_Request_Updates_T< SEQ, PROXY, SEQ_PARAM, PROXY_PARAM >::TAO_Notify_Method_Request_Updates_T | ( | SEQ_PARAM | added,
|  | SEQ_PARAM | removed,
|  | PROXY_PARAM | proxy
| ) |

| Constuctor.

template<class SEQ, class PROXY, class SEQ_PARAM, class PROXY_PARAM>
TAO_Notify_Method_Request_Updates_T< SEQ, PROXY, SEQ_PARAM, PROXY_PARAM >::~TAO_Notify_Method_Request_Updates_T | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class SEQ, class PROXY, class SEQ_PARAM, class PROXY_PARAM>
int TAO_Notify_Method_Request_Updates_T< SEQ, PROXY, SEQ_PARAM, PROXY_PARAM >::execute_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Execute the Request.

## Member Data Documentation

template<class SEQ, class PROXY, class SEQ_PARAM, class PROXY_PARAM>
SEQ TAO_Notify_Method_Request_Updates_T< SEQ, PROXY, SEQ_PARAM, PROXY_PARAM >::added_`[protected]`

| Update Added.

template<class SEQ, class PROXY, class SEQ_PARAM, class PROXY_PARAM>
PROXY TAO_Notify_Method_Request_Updates_T< SEQ, PROXY, SEQ_PARAM, PROXY_PARAM >::proxy_`[protected]`

| The Proxy that will receive the updates.

template<class SEQ, class PROXY, class SEQ_PARAM, class PROXY_PARAM>
SEQ TAO_Notify_Method_Request_Updates_T< SEQ, PROXY, SEQ_PARAM, PROXY_PARAM >::removed_`[protected]`

| Update Removed.

The documentation for this class was generated from the following files:

- Method_Request_Updates_T.h
- Method_Request_Updates_T.cpp